### POST /api/1/deliveries/close
Source: https://api-ru.iiko.services/api-docs/docs
> Before version `8.0.6` it's possible to close deliveries with `DeliveryByClient`
orderServiceType only, starting from version `8.0.6` it's also possible to close
`DeliveryByCourier` deiveries in the DeliveryStatus `OnWay` or `Delivered` .
> Allowed from version `7.4.6`.
> This method is a command. Use `api/1/commands/status` method to get the progress status.
> Restriction group: `Order status: changing`.
```markdown
### Parameters
- **Authorization** (string, header, required): Authorization token. (example: "Bearer nRzIn0dJu1LpbGMbVfnCFDjKM4iwPhDV8tMlh7X5eWBR64iw")
- **Timeout** (integer, header, optional): Timeout in seconds. (example: 10)
### Request Body
**Content-Type:** application/json
- **deliveryDate** (string (yyyy-MM-dd HH:mm:ss.fff)): Actual delivery time. If empty local iikoFront time will used.
> Allowed from version `8.0.6`. (example: "2019-08-24 14:15:22.123")
- **organizationId** (string (uuid)) (required): Organization ID.
Can be obtained by `/api/1/organizations` operation.
- **orderId** (string (uuid)) (required): Order ID.
### Responses
#### 200 - Success
**iikoTransport.PublicApi.Contracts.Common.CorrelationIdResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
#### 400 - Bad Request
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 401 - Unauthorized
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 408 - Request Timeout
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 500 - Server Error
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
### Example Usage
```bash
curl -X POST "https://api.example.com/api/1/deliveries/close" \
-H "Content-Type: application/json" \
-d '{
"deliveryDate": "2019-08-24 14:15:22.123",
"organizationId": "string",
"orderId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
user tip.
```markdown
## Schema:
user tip.
**Type:** object
- **sourceActionId** (string (uuid)): Id of action that caused the suggestion.
- **suggestionText** (string): Suggestion text.
- **descriptionForUser** (string): Description for user.
- **productCodes** (array (string)): Codes of products that suggested to be added to order.
- **products** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.UpsaleProduct)): Products that suggested to be added to order.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Combo product.
```markdown
## Schema:
Combo product.
**Type:** object
- **productId** (string (uuid)): Product id.
- **sizeName** (string): Size name. Can be null.
- **sizeId** (string (uuid)): Size id.
- **forbiddenModifiers** (array (string (uuid))): Forbidden modifiers.
- **priceModificationAmount** (number (double)): Price modification amount.
- **position** (integer (int32)): Position.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get programs response.
```markdown
## Schema:
Get programs response.
**Type:** object
- **Programs** (array (iikoNet.Service.Contracts.Api.iikoTransport.Organization.LoyaltyProgram)): Programs.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Response with list of discounts/surcharges.
```markdown
## Schema:
Response with list of discounts/surcharges.
**Type:** object
- **correlationId** (string (uuid)) (required): Operation ID.
- **discounts** (array (iikoTransport.PublicApi.Contracts.Common.RmsItemsResponseWrapper`1[[iikoTransport.PublicApi.Contracts.Discounts.DiscountCardTypeInfo, iikoTransport.PublicApi.Contracts, Version=9.7.5.2, Culture=neutral, PublicKeyToken=null]])) (required): List of discounts/surcharges.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get programs request.
```markdown
## Schema:
Get programs request.
**Type:** object
- **withoutMarketingCampaigns** (boolean): Determines if marketing campaigns not required.
- **organizationId** (string (uuid)) (required): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
The tips type.
```markdown
## Schema:
The tips type.
**Type:** object
- **id** (string (uuid)) (required): Tips type ID.
Can be obtained by `/api/1/tips_types` operation.
- **name** (string) (required): Tips type name.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get counters response.
```markdown
## Schema:
Get counters response.
**Type:** object
- **counters** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.GuestCounter)): Counters.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Manual discount.
```markdown
## Schema:
Manual discount.
**Type:** object
- **manualConditionId** (string (uuid)): Manual discount condition identifier.
- **Sum** (number (double)): Discount amount.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get counters request.
```markdown
## Schema:
Get counters request.
**Type:** object
- **guestIds** (array (string (uuid))): Guest ids.
- **periods** (array (iikoNet.Common.Enums.CounterPeriod)): Periods.
- **metrics** (array (iikoNet.Common.Enums.CounterMetric)): Metrics.
- **organizationId** (string (uuid)) (required): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get categories response.
```markdown
## Schema:
Get categories response.
**Type:** object
- **guestCategories** (array (iikoNet.Service.Contracts.Api.iikoTransport.Customer.GuestCategoryShortInfo)): Guest categories for organization.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Discount/surcharge.
```markdown
## Schema:
Discount/surcharge.
**Type:** object
- **type** (string) (required)
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Combo in order.
```markdown
## Schema:
Combo in order.
**Type:** object
- **id** (string (uuid)) (required): Combo ID.
MUST be unique for the whole system. Therefore it must be generated with Guid.NewGuid().
- **name** (string) (required): Name of combo.
- **amount** (integer (int32)) (required): Quantity.
- **price** (number (double)) (required): Price of one combo.
- **sourceId** (string (uuid)) (required): Combo validity ID.
- **programId** (string (uuid)): Card program ID.
> Allowed from version `7.6.1`.
- **sizeId** (string (uuid)): Size ID. Required if combo has a size scale.
> Allowed from version `8.5.6`.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get categories request.
```markdown
## Schema:
Get categories request.
**Type:** object
- **organizationId** (string (uuid)) (required): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get manual conditions response.
```markdown
## Schema:
Get manual conditions response.
**Type:** object
- **manualConditions** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.ManualConditionInfo)): Info about manual conditions.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Combo in order.
```markdown
## Schema:
Combo in order.
**Type:** object
- **id** (string (uuid)) (required): Combo ID.
- **name** (string) (required): Name of combo.
- **amount** (integer (int32)) (required): Number of combos.
- **price** (number (double)) (required): Price of combo. Given for 1 combo, without regard to amount.
- **sourceId** (string (uuid)) (required): Combo action ID.
- **size** (object): Item size.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get combos info request.
```markdown
## Schema:
Get combos info request.
**Type:** object
- **extraData** (boolean): Extra data.
- **organizationId** (string (uuid)) (required): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Discount.
```markdown
## Schema:
Discount.
**Type:** object
- **discountType** (object) (required): Discount type.
- **sum** (number (double)) (required): Total.
- **selectivePositions** (array (string (uuid))): Order item positions.
- **selectivePositionsWithSum** (array (iikoTransport.PublicApi.Contracts.Deliveries.Response.Order.PositionWithSum)): Order item positions with position discount sum.
> Allowed from version `8.5.6`.
Array items:
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get customer info response.
```markdown
## Schema:
Get customer info response.
**Type:** object
- **id** (string (uuid)): Guest id.
- **referrerId** (string (uuid)): Guest referrer id.
- **name** (string): Guest name. Can be null.
- **surname** (string): Guest surname. Can be null.
- **middleName** (string): Guest middle name. Can be null.
- **comment** (string): Guest comment. Can be null.
- **phone** (string): Main customer's phone. Can be null.
- **cultureName** (string): Guest culture name. Can be null.
- **birthday** (string (yyyy-MM-dd HH:mm:ss.fff)): Guest birthday. (example: "2019-08-24 14:15:22.123")
- **email** (string): Guest email. Can be null.
- **sex** (integer (int32)) ("0"|"1"|"2")
- **consentStatus** (integer (int32)) ("0"|"1"|"2")
- **anonymized** (boolean): Guest anonymized.
- **cards** (array (iikoNet.Service.Contracts.Api.iikoTransport.Customer.GuestCardInfo)): Customer's cards.
Array items:
- **categories** (array (iikoNet.Service.Contracts.Api.iikoTransport.Customer.GuestCategoryShortInfo)): Customer categories.
Array items:
- **walletBalances** (array (iikoNet.Service.Contracts.Api.iikoTransport.Customer.GuestBalanceInfo)): Customer's user wallets. Contains bonus balances of different loyalty programs.
Array items:
- **userData** (string): Technical user data, customizable by restaurateur. Can be null.
- **shouldReceivePromoActionsInfo** (boolean): Customer get promo messages (email, sms). If null - unknown.
- **shouldReceiveLoyaltyInfo** (boolean): Guest should receive loyalty info.
- **shouldReceiveOrderStatusInfo** (boolean): Guest should receive order status info.
- **personalDataConsentFrom** (string (yyyy-MM-dd HH:mm:ss.fff)): Guest personal data consent from. (example: "2019-08-24 14:15:22.123")
- **personalDataConsentTo** (string (yyyy-MM-dd HH:mm:ss.fff)): Guest personal data consent to. (example: "2019-08-24 14:15:22.123")
- **personalDataProcessingFrom** (string (yyyy-MM-dd HH:mm:ss.fff)): Guest personal data processing from. (example: "2019-08-24 14:15:22.123")
- **personalDataProcessingTo** (string (yyyy-MM-dd HH:mm:ss.fff)): Guest personal data processing to. (example: "2019-08-24 14:15:22.123")
- **isDeleted** (boolean): Customer marked as deleted.
- **whenRegistered** (string (yyyy-MM-dd HH:mm:ss.fff)): Registration date. (example: "2019-08-24 14:15:22.123")
- **lastProcessedOrderDate** (string (yyyy-MM-dd HH:mm:ss.fff)): Last order date. (example: "2019-08-24 14:15:22.123")
- **firstOrderDate** (string (yyyy-MM-dd HH:mm:ss.fff)): First order date. (example: "2019-08-24 14:15:22.123")
- **lastVisitedOrganizationId** (string (uuid)): Guest last visited organization id.
- **registrationOrganizationId** (string (uuid)): Guest registration organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Product category discount details.
```markdown
## Schema:
Product category discount details.
**Type:** object
- **categoryId** (string (uuid)) (required): Category ID.
- **categoryName** (string) (required): Category name.
- **percent** (number (double)) (required): This category discount %.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Discount/surcharge DTO.
```markdown
## Schema:
Discount/surcharge DTO.
**Type:** object
- **id** (string (uuid)) (required): Discount ID in RMS.
- **name** (string) (required): Discount name.
- **percent** (number (double)) (required): Total discount rate.
> Ignored if "isCategorisedDiscount" specified.
- **isCategorisedDiscount** (boolean) (required): Whether it is category discount or not.
> If true, "productCategoryDiscounts" discounts will apply.
- **productCategoryDiscounts** (array (iikoTransport.PublicApi.Contracts.Discounts.ProductCategoryDiscount)) (required): Category discount.
Array items:
- **comment** (string): Comment.
- **canBeAppliedSelectively** (boolean) (required): Whether discount allows for selected application to individual items at user's discretion.
- **minOrderSum** (number (double)): Minimum order amount required for discount application.
If order amount is less than specified threshold, discount does not apply.
- **mode** (string (Percent|FlexibleSum|FixedSum)) (required): Discount type. ("Percent"|"FlexibleSum"|"FixedSum")
- **sum** (number (double)) (required): Fixed amount.
> Triggers if fixed amount has been specified.
- **canApplyByCardNumber** (boolean) (required): Can be applied by card No.
> If true, it's enough to enter discount card No. (card swiping not required)
- **isManual** (boolean) (required): Created manually.
- **isCard** (boolean) (required): Executed by card.
- **isAutomatic** (boolean) (required): Created automatically.
- **isDeleted** (boolean): IsDeleted.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to get customer by Id.
```markdown
## Schema:
Request to get customer by Id.
**Type:** object
- **type** (string) (required)
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Order creation options.
```markdown
## Schema:
Order creation options.
**Type:** object
- **transportToFrontTimeout** (integer (int32)): Timeout in seconds that specifies how much time is given for order to reach iikoFront.
After this time, order is nullified if iikoFront doesn't take it. By default - 8 seconds.
- **checkStopList** (boolean): Flag indicating whether there's need to check order items in out-of-stock list.
Unable if `terminalGroupId` is null. (example: false)
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to get customer by email.
```markdown
## Schema:
Request to get customer by email.
**Type:** object
- **type** (string) (required)
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get request only by organization id
```markdown
## Schema:
Get request only by organization id
**Type:** object
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Product that suggested to be added to order.
```markdown
## Schema:
Product that suggested to be added to order.
**Type:** object
- **id** (string (uuid)): Id of product.
- **code** (string): Code of product.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Dynamic discount.
```markdown
## Schema:
Dynamic discount.
**Type:** object
- **manualConditionId** (string (uuid)) (required): Applied manual condition ID.
- **sum** (number (double)) (required): Discount sum.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get transactions report by revision response.
```markdown
## Schema:
Get transactions report by revision response.
**Type:** object
- **transactions** (array (iikoNet.Service.Contracts.Api.iikoTransport.Report.TransportTransactionsReportItem)): Transactions.
Array items:
- **lastRevision** (integer (int64)): Last known transaction revision.
- **lastTransactionId** (string (uuid)): Last known transaction id.
- **pageSize** (integer (int32)): Page size.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Get transactions report by period response.
```markdown
## Schema:
Get transactions report by period response.
**Type:** object
- **transactions** (array (iikoNet.Service.Contracts.Api.iikoTransport.Report.TransportTransactionsReportItem)): Transactions.
Array items:
- **pageSize** (integer (int32)): Page size.
- **pageNumber** (integer (int32)): Page number. Zero based.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Dynamic discount.
```markdown
## Schema:
Dynamic discount.
**Type:** object
- **manualConditionId** (string (uuid)) (required): Applied manual condition ID.
- **sum** (number (double)) (required): Discount sum.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to get customer by phone number.
```markdown
## Schema:
Request to get customer by phone number.
**Type:** object
- **type** (string) (required)
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Product code.
```markdown
## Schema:
Product code.
**Type:** object
- **value** (string): Product code value.
```
--------------------------------
### POST /api/1/loyalty/iiko/customer/program/add
Source: https://api-ru.iiko.services/api-docs/docs
Add new customer for program.
> Restriction group: `Guests: changing`.
```markdown
### Parameters
- **Authorization** (string, header, required): Authorization token. (example: "Bearer nRzIn0dJu1LpbGMbVfnCFDjKM4iwPhDV8tMlh7X5eWBR64iw")
- **Timeout** (integer, header, optional): Timeout in seconds. (example: 10)
### Request Body
**Content-Type:** application/json
- **customerId** (string (uuid)): Customer id.
- **programId** (string (uuid)): Program id.
- **organizationId** (string (uuid)) (required): Organization id.
### Responses
#### 200 - Success
**iikoNet.Service.Contracts.Api.iikoTransport.Customer.AddCustomerToProgramResponse**
- **userWalletId** (string (uuid)): User wallet id.
- **walletId** (string (uuid)): Program Wallet id which guest was added to.
#### 400 - Bad Request
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 401 - Unauthorized
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 408 - Request Timeout
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
#### 500 - Server Error
**iikoTransport.PublicApi.Contracts.Errors.ErrorResponse**
- **correlationId** (string (uuid)) (required): Operation ID.
- **errorDescription** (string) (required): Error text.
- **error** (string): Error code.
### Example Usage
```bash
curl -X POST "https://api.example.com/api/1/loyalty/iiko/customer/program/add" \
-H "Content-Type: application/json" \
-d '{
"customerId": "string",
"programId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to get customer by card track.
```markdown
## Schema:
Request to get customer by card track.
**Type:** object
- **type** (string) (required)
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to get customer by card number.
```markdown
## Schema:
Request to get customer by card number.
**Type:** object
- **type** (string) (required)
- **organizationId** (string (uuid)): Organization id.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Banquet/reserve creation model.
```markdown
## Schema:
Banquet/reserve creation model.
**Type:** object
- **organizationId** (string (uuid)) (required): Organization ID of a new banquet/reserve.
Can be obtained by `/api/1/organizations` operation.
- **terminalGroupId** (string (uuid)): Front group ID an banquet/reserve must be sent to.
Can be obtained by `/api/1/terminal_groups` operation.
- **id** (string (uuid)): Banquet/reserve ID. Must be unique.
- **externalNumber** (string): Banquet/reserve external number.
> Allowed from version `8.0.6`.
- **order** (object): Order.
- **customer** (object) (required): Customer base info.
- **phone** (string) (required): Telephone number.
> Must begin with symbol "+" and must be at least 8 digits.
- **guestsCount** (integer (int32)): Number of guests.
- **comment** (string): Banquet/reserve comment.
- **durationInMinutes** (integer (int64)) (required): Estimated banquet duration.
- **shouldRemind** (boolean) (required): Whether to remind staff to prepare table beforehand.
- **tableIds** (array (string (uuid))) (required): Reserved tables.
- **estimatedStartTime** (string (yyyy-MM-dd HH:mm:ss.fff)) (required): Estimated time when reserve will be closed or banquet will be started (Local for the terminal).
Reservation can be made up to 90 days prior to the date. (example: "2019-08-24 14:15:22.123")
- **transportToFrontTimeout** (integer (int32)): Timeout in seconds that specifies how much time is given for banquet/reserve to reach iikoFront.
After this time, banquet/reserve is nullified if iikoFront doesn't take it. By default - 8 seconds.
- **guests** (object): Reserve guests information.
- **eventType** (string): Event type.
> Allowed from version `8.5.6`.
- **createReserveSettings** (object)
```
--------------------------------
### POST /api/inventory/v1/writeoff_document/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets a write-off document by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**WriteoffDocumentGetResponse**
- **comment** (string): Comment
- **conception** (string): Concept identifier (GUID)
- **date** (string): Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateCreated** (string): Document creation date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateModified** (string): Document last modification date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **documentId** (string): Document identifier (GUID)
- **expenseAccount** (string): Expense account identifier (GUID)
- **isAutomatic** (boolean): Automatic document creation flag
- **isEditable** (boolean): Editable flag. true — available for editing in RMS
- **items** (array (WriteoffDocumentGetItem)): List of document items
Array items:
- **number** (string): Document number
- **status** (string): Document status (NEW — not processed, PROCESSED — processed, DELETED — deleted)
- **storeFrom** (string): Write-off store identifier (GUID)
- **userCreated** (string): User who created the document (GUID)
- **userModified** (string): User who last modified the document (GUID)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 403 - Access forbidden
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 404 - Document not found
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 405 - Method not allowed (POST expected)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 502 - RMS request error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/inventory/v1/writeoff_document/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Free item to be added to order.
```markdown
## Schema:
Free item to be added to order.
**Type:** object
- **id** (string (uuid)): Id of product.
- **code** (string): Code of product. Can be null.
- **size** (array (string)): Sizes available for that product.
- **sizes** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.FreeProductSize)): Sizes with IDs available for that product.
Array items:
```
--------------------------------
### POST /api/inventory/v1/transformation_document/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets a transformation document by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**TransformationDocumentGetResponse**
- **amount** (number): Product quantity
- **amountUnit** (string): Unit of measure identifier (GUID)
- **assemblyChartWriteoff** (boolean)
- **comment** (string): Comment
- **conception** (string): Concept identifier (GUID)
- **date** (string): Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateCreated** (string): Document creation date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateModified** (string): Document last modification date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **documentId** (string): Document identifier (GUID)
- **isAutomatic** (boolean): Automatic document creation flag
- **isEditable** (boolean): Editable flag. true — available for editing in RMS
- **items** (array (TransformationDocumentGetItem)): List of document items
Array items:
- **number** (string): Document number
- **product** (string): Product identifier (GUID)
- **status** (string): Document status (NEW — not processed, PROCESSED — processed, DELETED — deleted)
- **storeFrom** (string): Write-off store identifier (GUID)
- **storeTo** (string): Receipt store identifier (GUID)
- **userCreated** (string): User who created the document (GUID)
- **userModified** (string): User who last modified the document (GUID)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 405 - Method not allowed (POST expected)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/inventory/v1/transformation_document/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Free item to be added to order.
```markdown
## Schema:
Free item to be added to order.
**Type:** object
- **sourceActionId** (string (uuid)): Id of action that caused the suggestion.
- **descriptionForUser** (string): Description for user. Can be null.
- **products** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.FreeProduct)): Products that should be added to order.
Array items:
```
--------------------------------
### POST /api/inventory/v1/sales_document/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets a sales document by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**SalesDocumentGetResponse**
- **banquet** (boolean)
- **comment** (string)
- **conception** (string)
- **date** (string)
- **dateCreated** (string)
- **dateModified** (string)
- **defaultStore** (string)
- **documentId** (string)
- **expenseAccount** (string)
- **isAutomatic** (boolean)
- **isEditable** (boolean)
- **items** (array (SalesDocumentGetItem))
Array items:
- **number** (string)
- **revenueAccount** (string)
- **status** (string)
- **userCreated** (string)
- **userModified** (string)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 404 - Document not found
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/inventory/v1/sales_document/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Information on discounts/surcharges to be applied to order.
Whether map or non-blank list of discounts must be set.
```markdown
## Schema:
Information on discounts/surcharges to be applied to order.
Whether map or non-blank list of discounts must be set.
**Type:** object
- **card** (object): Discount card.
- **discounts** (array (iikoTransport.PublicApi.Contracts.Deliveries.Request.CreateOrder.Discount)): Discounts/surcharges.
> Type **iikoCard** allowed from version `7.4.4`.
Array items:
- **fixedLoyaltyDiscounts** (boolean): Whether loyalty discounts should be fixed.
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Coupon info.
```markdown
## Schema:
Coupon info.
**Type:** object
- **id** (string (uuid)): Id.
- **number** (string): Number. Can be null.
- **seriesName** (string): Series name. Can be null.
- **seriesId** (string (uuid)): Series id.
- **whenActivated** (string (yyyy-MM-dd HH:mm:ss.fff)): When activated. (example: "2019-08-24 14:15:22.123")
- **isDeleted** (boolean): Is deleted.
```
--------------------------------
### POST /api/inventory/v1/production_document/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets a production document by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**ProductionDocumentGetResponse**
- **comment** (string): Comment
- **conception** (string): Concept identifier (GUID)
- **date** (string): Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateCreated** (string): Document creation date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateModified** (string): Document last modification date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **documentId** (string): Document identifier (GUID)
- **isAutomatic** (boolean): Automatic document creation flag
- **isEditable** (boolean): Editable flag. true — available for editing in RMS
- **items** (array (ProductionDocumentGetItem)): List of document items
Array items:
- **number** (string): Document number
- **status** (string): Document status (NEW — not processed, PROCESSED — processed, DELETED — deleted)
- **storeFrom** (string): Write-off store identifier (GUID)
- **storeTo** (string): Receipt store identifier (GUID)
- **userCreated** (string): User who created the document (GUID)
- **userModified** (string): User who last modified the document (GUID)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 405 - Method not allowed (POST expected)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/inventory/v1/production_document/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Available combo.
```markdown
## Schema:
Available combo.
**Type:** object
- **specificationId** (string (uuid)): Id of combo specification, describing combo content.
- **groupMapping** (array (iikoNet.Service.Contracts.Api.iikoTransport.LoyaltyResult.ComboGroupMapping)): Groups contained in combo. If null - there is no suitable product in order yet for that group.
Array items:
```
--------------------------------
### POST /api/inventory/v1/incoming_invoice/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets an incoming invoice by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**IncomingInvoice**
- **comment** (string): Comment
- **conception** (string): Concept identifier (GUID)
- **counteragent** (string): Counteragent identifier (GUID)
- **date** (string): Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateCreated** (string): Document creation date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateModified** (string): Document last modification date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **defaultStore** (string): Default store identifier (GUID)
- **deliveryOnTime** (boolean): On-time delivery flag
- **documentId** (string): Document identifier (GUID)
- **dueDate** (string): Payment due date
- **employeePassToAccount** (string): Charge to employee
- **incomingDate** (string): Incoming document date (YYYY-MM-DD)
- **incomingDocumentNumber** (string): Incoming external document number
- **internalOutgoingInvoiceId** (string): Associated outgoing invoice identifier (GUID)
- **invoice** (string): Invoice number
- **isAutomatic** (boolean): Automatic document creation flag
- **isEditable** (boolean): Editable flag. true — available for editing in RMS
- **items** (array (IncomingInvoiceItem)): List of document items
Array items:
- **matchesToTheOrder** (boolean): Matches the order
- **number** (string): Document number
- **paymentDate** (string): Payment date (YYYY-MM-DD)
- **status** (string): Document status (NEW — not processed, PROCESSED — processed, DELETED — deleted)
- **transportInvoiceNumber** (string): Transport invoice number
- **userCreated** (string): User who created the document (GUID)
- **userModified** (string): User who last modified the document (GUID)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 404 - Document not found
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/inventory/v1/incoming_invoice/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Request to change reserve/banquet estimated start time.
```markdown
## Schema:
Request to change reserve/banquet estimated start time.
**Type:** object
- **organizationId** (string (uuid)) (required): Organization ID.
Can be obtained by `/api/1/organizations` operation.
- **reserveId** (string (uuid)) (required): Reserve/banquet ID.
- **newEstimatedStartTime** (string (yyyy-MM-dd HH:mm:ss.fff)) (required): New estimated start time of reserve/banquet. (example: "2019-08-24 14:15:22.123")
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Guest category info.
```markdown
## Schema:
Guest category info.
**Type:** object
- **id** (string (uuid)): Category id.
- **name** (string): Category name.
- **isActive** (boolean): Is category active or not.
- **isDefaultForNewGuests** (boolean): Is category default for new guests or not.
```
--------------------------------
### POST /api/finance/v1/outgoing_service/get
Source: https://api-ru.iiko.services/api-docs/docs
Gets an outgoing service act by identifier from RMS
```markdown
### Request Body
**Content-Type:** application/json
- **documentId** (string) (required): Document identifier (GUID)
- **organizationId** (string) (required): Organization identifier (GUID)
### Responses
#### 200 - Successful response
**OutgoingServiceGetResponse**
- **comment** (string): Comment
- **conception** (string): Concept identifier (GUID)
- **contractDate** (string): Contract date (ISO 8601 YYYY-MM-DDThh:mm:ss±hh:mm)
- **contractNumber** (string): Contract number
- **counteragent** (string): Counteragent identifier (GUID)
- **date** (string): Document date and time (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateCreated** (string): Document creation date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **dateModified** (string): Document last modification date (ISO 8601 YYYY-MM-DDThh:mm:ss.sss±hh:mm)
- **documentId** (string): Document identifier (GUID)
- **dueDate** (string): Payment due date
- **isAutomatic** (boolean): Automatic document creation flag
- **isEditable** (boolean): Editable flag. true — available for editing in RMS
- **items** (array (OutgoingServiceGetItem)): List of document items
Array items:
- **number** (string): Document number
- **revenueAccount** (string): Revenue account identifier (GUID)
- **status** (string): Document status (NEW — not processed, PROCESSED — processed, DELETED — deleted)
- **sum** (number): Amount including VAT
- **sumWithoutVat** (number): Amount excluding VAT
- **userCreated** (string): User who created the document (GUID)
- **userModified** (string): User who last modified the document (GUID)
#### 400 - Invalid request (validation/invalid JSON)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 401 - Unauthorized
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 405 - Method not allowed (POST expected)
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 429 - Too many requests
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
#### 500 - Internal server error
**ErrorResponse**
- **details** (unknown): Error details (nullable)
- **message** (string): Error message
### Example Usage
```bash
curl -X POST "https://api.example.com/api/finance/v1/outgoing_service/get" \
-H "Content-Type: application/json" \
-d '{
"documentId": "string",
"organizationId": "string"
}'
```
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Card discount/surcharge.
```markdown
## Schema:
Card discount/surcharge.
**Type:** object
- **type** (string) (required)
```
--------------------------------
### Schema:
Source: https://api-ru.iiko.services/api-docs/docs
Wrapping object to retrieve list of drivers from iikoRMS.
```markdown
## Schema:
Wrapping object to retrieve list of drivers from iikoRMS.
**Type:** object
- **correlationId** (string (uuid)) (required): Operation ID.
- **employees** (array (iikoTransport.PublicApi.Contracts.Common.RmsItemsResponseWrapper`1[[iikoTransport.PublicApi.Contracts.Employees.Employee, iikoTransport.PublicApi.Contracts, Version=9.7.5.2, Culture=neutral, PublicKeyToken=null]])) (required): List of drivers.
Array items:
```